Subject: Where do I find a beekeeping suit?

From: [email-masked] (Jim Stewart - Sun Minneapolis SE)
Date: 25 Aug 1994 20:08:11 GMT

Does anyone know where I can find a beekeeping suit - as in a suit that
you wear that wasps and bumblebees can't sting through?

My house sits on 2.5 acres and I've kept most of it natural with tall weeds.
However, I'd like to start exposing more of the land and keep it cut to a
lawn level.  However, when I was using a weed wacker last spring, I stopped
short of some weeds, since there was a large (8-10 inch) hole that I wanted
to avoid that I assumed belonged to a skunk I had seen wondering around my
land.  The next few days I noticed some bumblebees hovering over the area
and disappearing down into the general vicinity of these weeds.  So, I'd
like to avoid cutting these tall weeds and surprising a nesting group of
bumblebees.  I figure that a bee suit will protect me from getting stung.

Thanks for your help.